Page MenuHomePhabricator

UploadWizard should not register ResourceLoaderFileModule objects
Closed, ResolvedPublic

Description

In UploadWizardHooks::resourceLoaderRegisterModules(), the modules are registered with an object. They should instead just be registered with the definition array, and let RL convert them to objects whenever needed.


Version: unspecified
Severity: normal

Details

Reference
bz71768

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 3:52 AM
bzimport set Reference to bz71768.
bzimport added a subscriber: Unknown Object (MLST).
Legoktm created this task.Oct 7 2014, 11:09 PM

Change 166202 had a related patch set uploaded by Legoktm:
Don't register ResourceLoaderFileModule objects

https://gerrit.wikimedia.org/r/166202

Change 166202 merged by jenkins-bot:
Don't register ResourceLoaderFileModule objects

https://gerrit.wikimedia.org/r/166202

All patches mentioned in this report were merged - is there more work left to do here (if yes: please reset the bug report status to NEW or ASSIGNED), or can you close this ticket as RESOLVED FIXED?

Gilles moved this task from Untriaged to Done on the Multimedia board.Dec 4 2014, 9:28 AM